Subject: Re: Problem with mini-PCI-E slot on P2020RDB

From: Felix Radensky <[email-masked]>
Date: Thu, 17 Dec 2009 22:28:30 +0200

Hi, Kumar
Kumar Gala wrote:
> On Dec 17, 2009, at 2:59 AM, Mahajan Vivek-B08308 wrote:
>
>   
>>> Thanks a lot. If I understand you correctly, the only way I 
>>> can get ath9k driver to work on this board using legacy 
>>> interrupts is to wait for a hardware fix. Right ?
>>>       
>> Correct
>>     
>
> I'm confused.  What's the issue with IRQ0 on the P2020RDB?  Is it used for another purpose?
>   

There's a problem with IRQ0 with respect to mini-PCI-E slot. I have 
Atheros wireless card plugged
into it. ath9k wireless driver for this card uses legacy PCI-E 
interrupts, and I get "irq 16: nobody cared"
message when driver executes request_irq(). Vivek has come to a 
conclusion that the problem is
related to incorrect IRQ0 routing for mini-PCI-E slot on P2020RDB.

Felix.